engrampa (1.24.1-0ubuntu1) groovy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 18 Aug 2020 11:10:39 +0100

engrampa (1.24.0-2) unstable; urgency=medium

  * debian/control:
    + Add B:/R: relation (engrampa-common) to parchives (<< 1.1.5-1~). (Closes:
      #952717).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2020 07:42:24 +0100

engrampa (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.
  * debian/control:
    + Update versioned B-D on mate-common (>= 1.24.0-1~).

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Feb 2020 12:33:46 +0100

engrampa (1.22.3-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Translation update. Resolves segfault in itstool when
      processing help/ru/. (Closes: #943554).
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 09:11:05 +0100

engrampa (1.22.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_Remove_unused_g_ptr_array_copy.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Sep 2019 08:38:03 +0200

engrampa (1.22.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_Remove_unused_g_ptr_array_copy.patch. glib-utils: Remove unused
      function - g_ptr_array_copy. Fixes FTBFS using glib2 2.61.2.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Sep 2019 16:17:19 +0200

engrampa (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Updated for MATE Desktop 1.22
  * debian/engrampa-common.install:
    + Correct order.
  * debian/control:
    + Updated for MATE Desktop 1.22

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 27 Jul 2019 22:57:05 +0200

engrampa (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Clean-up trailing white-space.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Dec 2018 15:30:20 +0100

engrampa (1.20.1-1) unstable; urgency=medium

  * New upstream release.
    - Add .a (Ar) support. (Closes: #869212).
    - ... (see upstream changelog).
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
    + Remove from S (engrampa): zoo (removed from Debian). (Closes: #885504).
  * debian/copyright:
    + Use secure URI for copyright format.
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 12:53:14 +0200

engrampa (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.2-1):
    + Update copyright attributions.
    upload to bionic (ubuntu/1.20.0-1)
  * debian/control (already in 1.20.0-1):
    + Drop D (engrampa) caja-common. Drop R (engrampa)
      mate-icon-theme. (Closes: #884587, LP: #1738395).

  [ Vangelis Mouhtsis ]
  * debian/control (already in 1.19.2-1):
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.

  [ Mike Gabriel ]
  * debian/watch:
    + Use secure URL to obtain upstream sources.
  * debian/{control,compat}: Bump DH version level to 11.
  * debian/{rules,engrampa-common.install}:
    + Move appstream metadata file to new location (until upstream has fixed
      their location).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2018 18:15:39 +0100

engrampa (1.20.0-1) bionic; urgency=medium

  * New upstream release. (Closes: #884587) (LP: #1738395)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:56 +0000

engrampa (1.19.2-1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 24 Jan 2018 00:47:53 +0000

engrampa (1.18.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0000_fix-maximum-compression-zip.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 10:19:42 +0100

engrampa (1.18.2-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches: Add 0000_fix-maximum-compression-zip.patch. Create
    zip files in maximum compression level.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Sep 2017 11:04:26 +0200

engrampa (1.18.2-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release.

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/control: Dependencies updated for MATE 1.18.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Jul 2017 13:44:18 +0200

engrampa (1.16.0-2) unstable; urgency=medium

  * debian/rules:
    + Drop --with-gtk=3.0 build flag. Engrampa is GTK-3-only nowadays.
      (Closes: #840564).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 11:17:49 +0100

engrampa (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.0-1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

  [ Mike Gabriel ]
  * debian/copyright:
    + White-space fix.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Oct 2016 20:16:01 +0200

engrampa (1.15.1-1) yakkety; urgency=medium

  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:48 +0100

engrampa (1.14.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: libcaja-extension-dev (>= 1.14)
    + B-D: libgtk-3-dev
    + Versioned B-D: mate-common (>= 1.14)
  * debian/rules:
    + MateConf dropped upstream.
    + Add --with-gtk=3.0
  * debian/patches:
    + Drop 0001_p7zip_checking.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 May 2016 16:20:55 +0200

engrampa (1.12.0-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_p7zip_checking.patch. Prevent treating p7zip 15.09+ as pre-4.55.
      (Closes: #820789)

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.7. No changes needed.
  * debian/rules:
    + Enforce /usr/lib/engrampa as libexecdir. Move executable
      "engrampa-server" out of the shared library path.
  * lintian:
    + Drop all overrides, not required anymore after having moved
      "engrampa-server" out of the shared library path.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Apr 2016 13:35:11 +0200

engrampa (1.12.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12) and libcaja-extension-dev (>= 1.12).
  * debian/engrampa.lintian-overrides:
    + Whitespace cleanup.
  * debian/patches:
    + Drop 1001_typo-in-man-page.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Suggesting unrar-free, favored over unar. (Closes: #809553).
  * debian/engrampa.lintian-overrides:
    + Add override: postinst-has-useless-call-to-ldconfig (engrampa).
  * debian/copyright:
    + Fix one comment where the Comment: field identifier was missing.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Jan 2016 15:49:30 +0100

engrampa (1.10.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release:
    - Extract files with unar with the character "[". (Closes: #766998).
    - Extract multiple files concurrently to a separate directory. (Closes:
      #800817).

  [ Mike Gabriel ]
  * lintian:
    + Drop unused-anymore override: postinst-has-useless-call-to-ldconfig.
  * debian/patches:
    + Add 1001_typo-in-man-page.patch. Fix typo in man page.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Oct 2015 17:02:58 +0200

engrampa (1.10.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Drop 2001_omit-gfdl-licensed-help-files.patch, engrampa help is
      DFSG compliant.
  * debian/control:
    + Add B-D: libmagic-dev.
    + Process with wrap-and-sort.
  * debian/engrampa-common.install:
    + Add usr/share/{appdata,dbus-1,help,man}.
  * debian/engrampa.install:
    + Remove usr/share/man/.
  * debian/rules:
    + Add --enable-magic.
    + Remove +dfsg1 suffix.
  * debian/watch:
    + Remove +dfsg1 suffix.
  * debian/copyright:
    + Add copyright attributions for help authors and translators. Add
      copyright for new upstrem files.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2015 17:02:36 +0200

engrampa (1.8.1+dfsg1-1) unstable; urgency=medium

  [Vangelis Mouthsis ]
  * debian/control:
    + Bump Standartds: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/patches:
    + Drop 0001_superfluous-dir-with-unar.patch. Part of this upstream release.
    + Drop 1001_fix-hyphens-on-man-page.patch. Accepted upstream.
    + Drop 1002_add-keywords-key-to-desktop-files.patch. Accepted upstream.
  * debian/copyright:
    + Really mention all upstream files.
  * debian/control:
    + Fix field spacing (reported by lintian).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Oct 2014 12:50:23 +0200

engrampa (1.8.0+dfsg1-6) unstable; urgency=low

  * debian/control:
    + Downgrade (bin:package engrampa) to Suggests: rpm2cpio. Upgrade
      (bin:package engrampa) to Recommends: zip, unzip, xz-utils. (Closes:
      #750794).
  * debian/patches:
    + Add 0001_superfluous-dir-with-unar.patch. Stop creating superfluous
      directory when extracting files from .rar archives with unar. (Closes:
      #749951).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Jun 2014 16:20:55 +0200

engrampa (1.8.0+dfsg1-5) unstable; urgency=low

  * debian/control:
    + Add B-D: libjson-glib-dev. Allows opening .rar archives with unar on
      Debian jessie (and beyond). (Closes: #748104, #749817).
    + Add to Suggests (bin:engrampa): unar.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 May 2014 13:13:06 +0200

engrampa (1.8.0+dfsg1-4) unstable; urgency=low

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Add D (bin:package engrampa): caja-common. This issue is being addressed
      upstream, with the goal that engrampa can run without caja components
      installed. A removal of the dependency in a future package upload
      is very likely. (Closes: #748194).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 May 2014 09:00:39 +0200

engrampa (1.8.0+dfsg1-3) unstable; urgency=low

  [ Mike Gabriel ]
  * debian/control:
    + Add Breaks: field to bin:package engrampa. The package breaks
      engrampa-common (<< 1.8.0).
  * debian/rules:
    + Before running dh_install, drop the not-packaged engrampa.convert file.

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 May 2014 23:53:08 +0200

engrampa (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/control:
    + Fix copy+paste error in LONG_DESCRIPTION of bin:package engrampa-dbg.
  * debian/engrampa-common.install:
    + Drop mate-conf .convert files from package.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 13:55:36 +0200

engrampa (1.8.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #734720).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Apr 2014 16:18:54 +0200
